## /class.krumo.php

Description

Krumo: Structured information display solution

Krumo is a debugging tool (PHP5 only), which displays structured information about any PHP variable. It is a nice replacement for print_r() or var_dump() which are used by a lot of PHP developers.

- author: Kaloyan K. Tsvetkov <kaloyan@kaloyan.info>
- version: $Id$
- license: GNU Lesser General Public License Version 2.1

Classes

Class | Description
--- | ---
krumo | Krumo API

Constants
DIR_SEP = DIRECTORY_SEPARATOR (line 22)

backward compatibility: the DIR_SEP constant isn't used anymore

KRUMO_DIR = dirname(__FILE__).DIRECTORY_SEPARATOR (line 39)

Set the KRUMO_DIR constant up with the absolute path to Krumo files. If it is not defined, include_path will be used. Set KRUMO_DIR only if any other module or application has not already set it up.

KRUMO_TRUNCATE_LENGTH = 50 (line 48)

This constant sets the maximum strings of strings that will be shown as they are. Longer strings will be truncated with this length, and their `full form` will be shown in a child node.

PATH_SEPARATOR = OS_WINDOWS?';':':' (line 28)

backward compatibility: the PATH_SEPARATOR constant is availble since 4.3.0RC2

Functions
krumo (line 1295)

Alias of krumo::dump()

- see: krumo::dump()

void krumo ([mixed $data,... = ])

- mixed $data,...

Documentation generated on Sun, 02 Dec 2007 09:43:24 +0200 by phpDocumentor 1.4.0a2